function [hprc50,hprc95,hprc99,vprc50,vprc95,vprc99]=prc(h_vec,v_vec,accuracy)
hprc50=[];  vprc50=[];
hprc95=[];  vprc95=[];
hprc99=[];  vprc99=[];
htot=[];    vtot=[];
index=1;    ind=1;
while ind<length(h_vec)
    % values under accuracy for at least 10 epochs
    if h_vec(ind)<accuracy && h_vec(ind+10)<accuracy
        while ~isnan(h_vec(ind))
            hsub(index)=h_vec(ind); %horizontal
            vsub(index)=v_vec(ind); %vertical
            ind=ind+1;
            index=index+1;
        end
        %Horizontal
        hprc50=[hprc50;prctile(hsub,50)];
        hprc95=[hprc95;prctile(hsub,90)];
        hprc99=[hprc99;prctile(hsub,95)];
        htot=[htot;hsub'];
        %Vertical
        vprc50=[vprc50;prctile(vsub,50)];
        vprc95=[vprc95;prctile(vsub,90)];
        vprc99=[vprc99;prctile(vsub,95)];
        vtot=[vtot;vsub'];
    end
    ind=ind+1;
end
end